Subject: bug#18964: 25.0.50; vc-dir doesn't ignore "ignored" files

From: Dmitry Gutov <[email-masked]>
Date: Mon, 10 Nov 2014 02:56:51 +0200

On 11/06/2014 05:32 PM, Tom Tromey wrote:
> Yeah ... I was going to post a little update this morning, because I
> somehow managed to make those files disappear from the vc-dir buffer.
> I just didn't know how I managed to do it.

I suppose you either killed the vc-dir buffer, or restarted Emacs.

> And now I don't even know how to reproduce the bug.

Have some unregistered files, open vc-dir buffer, add the files to 
.gitignore, then press g?